import { ChildProcess } from 'child_process';
import { Message } from './messages';
export interface DataCallback {
    (data: Message): void;
}
export interface MessageReader {
    listen(callback: DataCallback): void;
}
export declare class StreamMessageReader implements MessageReader {
    private readable;
    private callback;
    private buffer;
    private nextMessageLength;
    constructor(readable: NodeJS.ReadableStream, encoding?: string);
    listen(callback: DataCallback): void;
    private onData(data);
}
export declare class IPCMessageReader implements MessageReader {
    private process;
    constructor(process: NodeJS.Process | ChildProcess);
    listen(callback: DataCallback): void;
}
